# vim: set ts=2 sw=2 sts=2 et:
#
# Fixtures
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.

XLite\Model\Payment\Method:
  - service_name: 'Opayo form protocol'
    class: XC\SagePay\Model\Payment\Processor\SagePayForm
    type: C
    orderby: -101500
    countries: [GB, IE]
    translations: [{code: en, name: 'Opayo gateway - Form protocol'}, {code: es, name: 'Pasarela Opayo - Protocolo de formularios'}]
    settings: [{name: vendorName}, {name: password}, {name: type, value: sale}, {name: test, value: 1}, {name: prefix, value: xcart}]
XLite\Model\LanguageLabel:
  - name: 'Sage Pay vendor name'
    translations: [{code: en, label: 'Vendor name'}]
  - name: 'Sage Pay processing mode'
    translations: [{code: en, label: 'Processing mode'}]
  - name: 'Sage Pay password'
    translations: [{code: en, label: 'Encryption Password'}]
  - name: 'Sage pay invoice number prefix'
    translations: [{code: en, label: 'Invoice number prefix'}]
  - name: 'Sage Pay pricing currency'
    translations: [{code: en, label: 'Pricing currency'}]
  - name: 'Don''t have account yet? Sign up for SagePay now!'
    translations: [{code: en, label: 'Don''t have an account yet? <a href="https://referrals.elavon.co.uk/?partner_id=0014H00004D1diL">Sign up</a> for Opayo now!'}]
  - name: 'Please enter your encryption password (This is different from your merchant password). More info on encryption passwords is available <here>'
    translations: [{code: en, label: 'Please enter your encryption password (This is different from your merchant password). More info on encryption passwords is available <a href=''{{link}}''  target=''_blank''>here</a>'}]
